/*
Data for the sizes of each weapon.
Minimum size and size forcing two-handed use

IF YOU ADD A NEW ENTRY, MAKE SURE YOU ADD A COMMA AT THE END OF THE CURRENT LAST ENTRY,
AND DO NOT ADD A COMMA AT THE END OF THE NEW LAST ENTRY. OTHERWISE YOU WILL MAKE JAVASCRIPT ANGRY.
*/

function WeaponData(_rawname, _name, _size, _sizeMin, _sizeTwoHand)
{
   this.RawName = _rawname;
   this.Name = _name;
   this.Size = _size;
   this.SizeMin = _sizeMin;
   this.SizeTwoHand = _sizeTwoHand;
}

var sizeWeapon = new Array(
new WeaponData("ITEM_WEAPON_WHIP", "whip", 100, 22500, 27500),
new WeaponData("ITEM_WEAPON_AXE_BATTLE", "battle axe", 800, 42500, 47500),
new WeaponData("ITEM_WEAPON_HAMMER_WAR", "war hammer", 400, 32500, 37500),
new WeaponData("ITEM_WEAPON_SWORD_SHORT", "short sword", 300, 32500, 37500),
new WeaponData("ITEM_WEAPON_SPEAR", "spear", 400, 5000, 47500),
new WeaponData("ITEM_WEAPON_MACE", "mace", 800, 32500, 37500),
new WeaponData("ITEM_WEAPON_CROSSBOW", "crossbow", 400, 15000, 0),
new WeaponData("ITEM_WEAPON_PICK", "pick", 500, 42500, 47500),
new WeaponData("ITEM_WEAPON_BOW", "bow", 300, 15000, 0),
new WeaponData("ITEM_WEAPON_BLOWGUN", "blowgun", 150, 5000, 0),
new WeaponData("ITEM_WEAPON_PIKE", "pike", 800, 62500, 67500),
new WeaponData("ITEM_WEAPON_HALBERD", "halberd", 1200, 62500, 67500),
new WeaponData("ITEM_WEAPON_SWORD_2H", "two-handed sword", 900, 62500, 67500),
new WeaponData("ITEM_WEAPON_SWORD_LONG", "long sword", 700, 52500, 57500),
new WeaponData("ITEM_WEAPON_MAUL", "maul", 1300, 62500, 67500),
new WeaponData("ITEM_WEAPON_AXE_GREAT", "great axe", 1300, 62500, 67500),
new WeaponData("ITEM_WEAPON_DAGGER_LARGE", "large dagger", 200, 5000, 27500),
new WeaponData("ITEM_WEAPON_SCOURGE", "scourge", 300, 22500, 27500),
new WeaponData("ITEM_WEAPON_FLAIL", "flail", 500, 42500, 47500),
new WeaponData("ITEM_WEAPON_MORNINGSTAR", "morningstar", 500, 32500, 37500),
new WeaponData("ITEM_WEAPON_SCIMITAR", "scimitar", 300, 32500, 37500),
new WeaponData("ITEM_WEAPON_AXE_TRAINING", "training axe", 800, 42500, 47500),
new WeaponData("ITEM_WEAPON_SWORD_SHORT_TRAINING", "training sword", 300, 32500, 37500),
new WeaponData("ITEM_WEAPON_SPEAR_TRAINING", "training spear", 400, 42500, 47500)
);