function startup()
{
   populateRaceList();
   createWeaponTable();
   updateSelectedRace(0);
}

function populateRaceList()
{
   var listObj = document.forms[0].mnuRace;
   listObj.length = 0;

   for(var i = 0; i < sizeRace.length; i++)
   {
      listObj.options[i] = new Option(sizeRace[i].Name);
      listObj.options[i].value = i;
   }
}

function createWeaponTable()
{
   var tarDiv = getObj("divWeaponInfo");
   
   tarDiv.appendChild(createWeaponSpanHead("Name", "name"));
   tarDiv.appendChild(createWeaponSpanHead("Wielded", "wielded"));
   tarDiv.appendChild(createWeaponSpanHead("Min Size", "sizeMin"));
   tarDiv.appendChild(createWeaponSpanHead("2H Size", "sizeTwoHand"));
   tarDiv.appendChild(document.createElement("br"));
   
   for(var i = 0; i < sizeWeapon.length; i++)
   {
      tarDiv.appendChild(createWeaponSpan(sizeWeapon[i].Name, sizeWeapon[i].Name, "name"));
      tarDiv.appendChild(createWeaponSpan("--", sizeWeapon[i].Name, "wielded"));
      tarDiv.appendChild(createWeaponSpan(sizeWeapon[i].SizeMin, sizeWeapon[i].Name, "sizeMin"));
      tarDiv.appendChild(createWeaponSpan(sizeWeapon[i].SizeTwoHand, sizeWeapon[i].Name, "sizeTwoHand"));
      tarDiv.appendChild(document.createElement("br"));
   }
}

function updateSelectedRace(index)
{
   var rSize = sizeRace[index].Size;
   getObj("selectedSize").innerHTML = rSize;
   var resultStr = "";
   var resultCol = "";
   
   for(var i = 0; i < sizeWeapon.length; i++)
   {
      // Large enough to wield?
      if(rSize >= sizeWeapon[i].SizeMin)
      {
         // Can wield with one hand?
         if(rSize >= sizeWeapon[i].SizeTwoHand)
         {
            resultStr = "One-Handed";
            resultCol = "green";
         }
         else
         {
            // Requires two hands
            resultStr = "Two-Handed";
            resultCol = "dkgreen";
         }
      }
      else
      {
         // Cannot use
         resultStr = "Cannot Wield";
         resultCol = "red";
      }
      getObj(sizeWeapon[i].Name+"_wielded").innerHTML = resultStr;
      getObj(sizeWeapon[i].Name+"_wielded").style.color = colors[resultCol];
   }
}

// ===============================================================================
// UTIL CRAP

function createWeaponSpanHead(text, cName)
{
   var col = document.createElement("span");
   col.className = "headerCell weaponCell col_"+cName;
   col.className += " headerCell";
   col.innerHTML = text;
      
   return col;
}

// cName = class name
function createWeaponSpan(text, id, cName)
{
   var col = document.createElement("span");
   col.className = "weaponCell col_"+cName;
   col.id = id+"_"+cName;
   col.innerHTML = text;

   return col;
}

// Quick ref to object
function getObj(id)
{
   return document.getElementById(id);
}